Panda3D

Loading...
Searching...
No Matches
Typedefs | Functions | Variables
pta_uchar.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "pointerToArray.h"`
`#include "vector_uchar.h"`

Go to the source code of this file.

## Typedefs
typedef ConstPointerToArray< unsigned char > | CPTA_uchar

## Functions
PointerToArrayBase< uchar > | EXPORT_TEMPLATE_CLASS (EXPCL_PANDA_EXPRESS, EXPTP_PANDA_EXPRESS, PointerToArray< unsigned char >) EXPORT_TEMPLATE_CLASS(EXPCL_PANDA_EXPRESS
| EXPORT_TEMPLATE_CLASS (EXPCL_PANDA_EXPRESS, EXPTP_PANDA_EXPRESS, PointerToBase< ReferenceCountedVector< uchar > >) EXPORT_TEMPLATE_CLASS(EXPCL_PANDA_EXPRESS
| A pta of uchars.

## Variables
| EXPTP_PANDA_EXPRESS
PointerToArrayBase< uchar > ConstPointerToArray< unsigned char > typedef PointerToArray< unsigned char > | PTA_uchar

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2000-05-10

Definition in file pta_uchar.h.

## Typedef Documentation

## ◆ CPTA_uchar

typedef ConstPointerToArray<unsigned char> CPTA_uchar

Definition at line 39 of file pta_uchar.h.

## Function Documentation

## ◆ EXPORT_TEMPLATE_CLASS()

EXPORT_TEMPLATE_CLASS | ( | EXPCL_PANDA_EXPRESS | ,
|  | EXPTP_PANDA_EXPRESS | ,
|  | PointerToBase< ReferenceCountedVector< uchar > > | )

A pta of uchars.

This class is defined once here, and exported to PANDA_EXPRESS.DLL; other packages that want to use a pta of this type (whether they need to export it or not) should include this header file, rather than defining the pta again.

## Variable Documentation

## ◆ EXPTP_PANDA_EXPRESS

PointerToArrayBase< uchar > EXPTP_PANDA_EXPRESS

Definition at line 33 of file pta_uchar.h.

## ◆ PTA_uchar

PointerToArrayBase< uchar > ConstPointerToArray<unsigned char> typedef PointerToArray<unsigned char> PTA_uchar

Definition at line 38 of file pta_uchar.h.